RandomLossLM< copulaPolicy, USNG > Class Template Reference

`#include <ql/experimental/credit/randomlosslatentmodel.hpp>`

## Public Member Functions

| RandomLossLM (const ext::shared_ptr< SpotRecoveryLatentModel< copulaPolicy > > &copula, Size nSims=0, Real accuracy=1.e-6, BigNatural seed=2863311530UL)

## Protected Member Functions

void | nextSample (const std::vector< Real > &values) const
void | initDates () const
Real | getEventRecovery (const defaultSimEvent &evt) const
Real | latentVarValue (const std::vector< Real > &factorsSample, Size iVar) const
Size | basketSize () const
Real | conditionalRecovery (Real latentVarSample, Size iName, const Date &d) const

## Friends

class | RandomLM< ::QuantLib::RandomLossLM, copulaPolicy, USNG >

## Detailed Description

### template<class copulaPolicy, class USNG = SobolRsg>
class QuantLib::RandomLossLM< copulaPolicy, USNG >

Random spot recovery rate loss model simulation for an arbitrary copula.

Examples
  BasketLosses.cpp.